httprequest.hpp File Reference

Http low level request interface. More...

`#include <vector>`
`#include <unistd.h>`
`#include <utils/davix_types.hpp>`
`#include <utils/davix_uri.hpp>`
`#include <status/davixstatusrequest.hpp>`
`#include <params/davixrequestparams.hpp>`

## Data Structures

class | Davix::HttpRequest
| Http low level request interface. More...
class | Davix::GetRequest
| Http low level request configured for GET operation. More...
class | Davix::PutRequest
| Http low level request configured for PUT operation. More...
class | Davix::PostRequest
| Http low level request configured for POST operation. More...
class | Davix::HeadRequest
| Http low level request configured for HEAD operation. More...
class | Davix::DeleteRequest
| Http low level request configured for DELETE operation. More...
class | Davix::PropfindRequest
| Webdav low level request configured for PROPFIND operation. More...

## Typedefs

typedef dav_ssize_t(* | Davix::HttpBodyProvider) (void *userdata, char *buffer, dav_size_t buflen)

## Enumerations

enum | Davix::RequestFlag::RequestFlag { Davix::RequestFlag::SupportContinue100 = 0x01 , Davix::RequestFlag::IdempotentRequest = 0x02 }
| Request flag. More...

## Detailed Description

Http low level request interface.

Author
  Devresse Adrien

## Typedef Documentation

## HttpBodyProvider

typedef dav_ssize_t(* Davix::HttpBodyProvider) (void *userdata, char *buffer, dav_size_t buflen)

Callback for body providers Before each time the body is provided, the callback will be called once with buflen == 0. The body may have to be provided >1 time per request (for authentication retries etc.). For a call with buflen > 0, the callback must return: <0 : error, abort request; session error string must be set. 0 : ignore 'buffer' contents, end of body. 0 < x <= buflen : buffer contains x bytes of body data. *‍/

## Enumeration Type Documentation

## RequestFlag

enum Davix::RequestFlag::RequestFlag

Request flag.

Enumerator
SupportContinue100 | Enable support for 100 Continue code (default: OFF)
IdempotentRequest | Specifie the request as Idempotent ( default : ON)